package com.seitenbau.junit;

import java.lang.reflect.Method;

/**
 * Minimal implementation of a IDataTestProvider.
 * 
 * Just stores the parameter passed to init an provides them via the
 * getters.
 */
public abstract class AbstractProvider implements IDataTestProvider
{

  private Class<?> myTestClass;

  private Method myMethod;

  public void init(Class<?> testClass, Method method)
  {
    myTestClass = testClass;
    myMethod = method;
  }

  public Class<?> getTestClass()
  {
    return myTestClass;
  }

  public void setTestClass(Class<?> testClass)
  {
    myTestClass = testClass;
  }

  public Method getTestMethod()
  {
    return myMethod;
  }

  public void setMethod(Method method)
  {
    myMethod = method;
  }

  public String getDescriptionPostText()
  {
    return " not implemented ... see AbstractProvider::getDescriptionPostText() ";
  }
}
