package com.seitenbau.junit;

import com.seitenbau.junit.model.DDTModelTest;


/**
 * The ITestContext provides access to the current running Data Driven
 * Test.
 */
public interface ITestContext
{

  /**
   * The reference to the Test Class.
   *
   * More for a practical reason, so when passing a ITestContext into
   * other Helper Classes, it is not necessary to also pass the Class
   * reference.
   *
   * @return
   */
  Class<?> getTestClass();

  /**
   *
   * Set the reference to the Test Class.
   *
   * @param theTestClass
   */
  void setTestClass(Class<?> theTestClass);

  /**
   * Get the current Test Item.
   *
   * The current Test Item provides all data corresponding to the
   * current running Data Driven Test.
   *
   * @return
   */
  public DDTModelTest getTestItem();

  void setTestItem(DDTModelTest testItem);



}
