package com.seitenbau.junit;

import com.seitenbau.junit.model.DDTModelRoot;
import com.seitenbau.junit.model.DDTModelTest;

/**
 * The ITestContext for the XmlDataProvider
 */
public class XmlDataContext implements ITestContext
{

  private XmlDataProvider myProvider;

  private DDTModelTest myTestItem;

  private DDTModelRoot myModel;

  private Class<?> myTestClass;

  public XmlDataContext(IDataTestProvider xmlDataProvider, DDTModelRoot root,
      DDTModelTest testItem)
  {
    myTestItem = testItem;
    myModel = root;
    if (xmlDataProvider instanceof XmlDataProvider)
    {
      myProvider = (XmlDataProvider) xmlDataProvider;
    }
  }

  public XmlDataProvider getProvider()
  {
    return myProvider;
  }

  public void setProvider(XmlDataProvider provider)
  {
    myProvider = provider;
  }

  public DDTModelTest getTestItem()
  {
    return myTestItem;
  }

  public void setTestItem(DDTModelTest testItem)
  {
    myTestItem = testItem;
  }

  public DDTModelRoot getModel()
  {
    return myModel;
  }

  public void setModel(DDTModelRoot model)
  {
    myModel = model;
  }

  public String getProperty(String key)
  {
    return (String) getModel().getProperties().get(key);
  }

  public Class<?> getTestClass()
  {
    return myTestClass;
  }

  public void setTestClass(Class<?> theTestClass)
  {
    myTestClass = theTestClass;
  }

}
