package com.seitenbau.junit.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.seitenbau.junit.IDataTestProvider;
import com.seitenbau.junit.XmlDataProvider;


/**
 * Marker for a Method to be a DataDriven Test
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface ParameterizedTest
{

  Class<? extends IDataTestProvider> value() default XmlDataProvider.class;
}
