package com.seitenbau.junit.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Inject values into the fields.
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface ParameterizedTestField 
{

  /** static String ID to mark the TestContext injection Field */
  static final String DEFAULT_TESTCONTEXT_KEY = "TestContext";

  /** The property ID which is injected into the marked field */
  String propertyID() default DEFAULT_TESTCONTEXT_KEY;
}
