package com.seitenbau.junit.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.seitenbau.junit.IParameterizedTestListener;


/**
 * Provides a List of DataDrivenTest Listeners to the DataDrivenTest
 * Runner.
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface ParameterizedTestListener 
{
  Class<? extends IParameterizedTestListener>[] value() default {};
}
