package com.seitenbau.junit.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation for configuration of the XMLDataProvider.
 * 
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface XmlDataOption 
{

  /**
   * The XML filename.
   * 
   * Searched via the ClassLoader.
   * 
   */
  String file();

  /**
   * Should the ITestContext be passed to the Test Method as
   * additional last Argument.
   */
  boolean passContext() default false;

}
