package com.seitenbau.junit.model;

import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

/**
 * Root model for XML Data Driven Tests.
 * 
 * This contains all Tests as list an some additional properties.
 */
public class DDTModelRoot
{

  private Properties properties;

  private List<DDTModelTest> tests;

  private String targetClassName;

  private String targetMethodName;

  public Properties getProperties()
  {
    if (properties == null)
    {
      properties = new Properties();
    }
    return properties;
  }

  public void setProperties(Properties properties)
  {
    this.properties = properties;
  }

  public List<DDTModelTest> getTests()
  {
    if (tests == null)
    {
      tests = new ArrayList<DDTModelTest>();
    }
    return tests;
  }

  public void setTests(List<DDTModelTest> tests)
  {
    this.tests = tests;
  }

  public void addTest(DDTModelTest testitem1)
  {
    getTests().add(testitem1);
  }

  public String getTargetClassName()
  {
    return targetClassName;
  }

  public void setTargetClassName(String targetClassName)
  {
    this.targetClassName = targetClassName;
  }

  public String getTargetMethodName()
  {
    return targetMethodName;
  }

  public void setTargetMethodName(String targetMethodName)
  {
    this.targetMethodName = targetMethodName;
  }
}
